'use strict';

var PropTypes = require('prop-types');
var SharedPropTypes = require('../../constants/SharedPropTypes.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var PropTypes__default = /*#__PURE__*/_interopDefault(PropTypes);

var ThresholdColorPropType = PropTypes__default.default.oneOfType([PropTypes__default.default.shape({
  fill: PropTypes__default.default.string,
  stroke: PropTypes__default.default.string
}), PropTypes__default.default.string]);
var ThresholdIconPropType = PropTypes__default.default.oneOfType([PropTypes__default.default.shape({
  width: PropTypes__default.default.string,
  height: PropTypes__default.default.string,
  viewBox: PropTypes__default.default.string.isRequired,
  svgData: SharedPropTypes.SvgPropType.isRequired
}), PropTypes__default.default.string, PropTypes__default.default.object, PropTypes__default.default.func]);
var ThresholdComparisonPropType = PropTypes__default.default.shape({
  comparison: PropTypes__default.default.oneOf(['<', '>', '=', '<=', '>=']).isRequired,
  value: PropTypes__default.default.oneOfType([PropTypes__default.default.string, PropTypes__default.default.number]).isRequired,
  color: ThresholdColorPropType,
  icon: ThresholdIconPropType
});
var ThresholdComparisonFunctionPropType = PropTypes__default.default.shape({
  comparison: PropTypes__default.default.func.isRequired,
  color: ThresholdColorPropType,
  icon: ThresholdIconPropType
});

exports.ThresholdColorPropType = ThresholdColorPropType;
exports.ThresholdComparisonFunctionPropType = ThresholdComparisonFunctionPropType;
exports.ThresholdComparisonPropType = ThresholdComparisonPropType;
exports.ThresholdIconPropType = ThresholdIconPropType;
